Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class ClassTypeArgument

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base
              rdlc.sw.ClassTypeArgument

All Implemented Interfaces:
  Expression, Field

    public class ClassTypeArgument

extends Field_Base

Represents an formal type argument (template parameter) to a class. This is heavily used to ensure that the RDL and host language type systems align as much as possible. This forces the host language compiler to continue enforcement of the RDL type checks.

Version:
  $Revision: 1.9 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected int` | `argIndex` The index of this type argument (is it the 0th, 1st, etc within it's class).

Fields inherited from class rdlc.sw.Field_Base
`access`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`ClassTypeArgument(java.lang.String _name, ClassInstance _classInstance)` Create a type argument with the given name in the given class instance.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`int` | `getArgIndex()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Field_Base
`getAccess`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### argIndex

    protected int argIndex

  The index of this type argument (is it the 0th, 1st, etc within it's class).

Constructor Detail

### ClassTypeArgument

    public ClassTypeArgument(java.lang.String _name,
                             ClassInstance _classInstance)

  Create a type argument with the given name in the given class instance.

  Parameters:
    `_name` - The name of this type argument.
    `_classInstance` - The class instance to create this argument in.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this wire for debugging.

### getArgIndex

    public int getArgIndex()

  Simple accessor.

  Returns:
    The index of this type argument (is it the 0th, 1st, etc within it's class).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD